Altimax\Apidae\Core\Entity\SitraOpenSystem:
    type: entity
    table: sitra_open_system
    uniqueConstraints:
        objet_codeui_idx:
          columns: [ "code_ui","objet_id" ]
    id:
        id:
            type: integer
            nullable: false
            unsigned: false
            comment: ''
            id: true
            generator:
                strategy: IDENTITY
    fields:
        codeUi:
            type: string
            nullable: false
            length: 30
            column: code_ui
        metier:
            type: text
            nullable: true
            length: 25
        integrationId:
            type: integer
            nullable: true
            length: 25
            column: integration_id
        panierId:
            type: string
            nullable: true
            length: 25
            column: panier_id
    manyToOne:
        objet:
            targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
            cascade: {  }
            inversedBy: openSystem
            joinColumns:
                objet_id:
                    referencedColumnName: id
                    onDelete: CASCADE
            orphanRemoval: false
    lifecycleCallbacks: {  }
